Subject: Re: push error Re: git-subtree completions
From: Peter Stephenson <[email-masked]>
To: [email-masked]
Date: Sun, 31 Jul 2016 12:00:15 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Thu, 28 Jul 2016 18:28:45 +0000
Daniel Shahaf <[email-masked]> wrote:
> Daniel Shahaf wrote on Wed, Jul 13, 2016 at 04:59:10 +0000:
> > % git push 
> > ⋮
> > error: insufficient permission for adding an object to repository database ./objects
> > 
> > fatal: failed to write object
> > error: unpack failed: unpack-objects abnormal exit
> > To ssh://git.code.sf.net/p/zsh/code
> >  ! [remote rejected] master -> master (n/a (unpacker error))
> > error: failed to push some refs to 'ssh://git.code.sf.net/p/zsh/code'
> > zsh: exit 1
> 
> I'm getting this again trying to push two other patches.  It occurs even
> if I push --no-thin and/or from a fresh 'git clone --reference=..' clone.

I think this has just been occasional server trouble when I've seen it.
"unpacker" certainly suggests it's the far end.  Consequently, I just
wait and see if they go away --- which they always have so far ---,
checking the SourceForge status to see if there's something they know
about, and ultimately would end up raising the issue there, but I
haven't had to yet.

pws